%global momorel 2
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 01aa845e566d273f3f187753fc88f155

Summary: WYSIWYG CD cover printer with CDDB support
Name: kover
Version: 3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://lisas.de/kover/
Group: Applications/Publishing
%NoSource 0 http://lisas.de/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: libart_lgpl-devel
BuildPreReq: libcddb-devel
BuildPreReq: libcdio-devel
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel
BuildPreReq: libxml2

%description
Kover is an easy to use WYSIWYG CD cover printer with CDDB support.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kover.png %{buildroot}%{_datadir}/pixmaps/kover.png

# install mimetypes-icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes
install -m 644 kover/hi48-app-kover.png %{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-kover.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category AudioVideo \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Multimedia/kover.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS TODO
%{_bindir}/kover
%{_datadir}/applications/kde/kover.desktop
%{_datadir}/apps/kover
%{_datadir}/icons/*/*/*/application-x-kover.png
%{_datadir}/icons/*/*/*/audio_mode.png
%{_datadir}/icons/*/*/*/kover.png
%{_datadir}/locale/*/LC_MESSAGES/kover.mo
%{_mandir}/man1/kover.1*
%{_datadir}/mime/packages/kover.xml
%{_datadir}/pixmaps/kover.png

%changelog
* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3-2m)
- install mimetypes-icon

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3-1m)
- version 3
- update desktop.patch

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.9.6-1m)
- initial package for Momonga Linux
